| Home | Libraries | People | FAQ | More

## Struct template linear

boost::intrusive::linear

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<bool Enabled>
    struct linear {
      // member classes/structs/unions

      // @ template<class Base>

      struct pack {
        static const bool linear;
      };
    };

## Description

This option setter specifies if the list container should use a linear implementation instead of a circular one.